-- не позволяем выставлять дублирующиеся адреса
CREATE TRIGGER OnОрганизацияUpdate ON [dbo].[Организация] 
FOR INSERT, UPDATE
AS
  if exists(
    select 1 
    from inserted
    inner join Организация on Организация.Код_юридического_адреса = inserted.Код_юридического_адреса 
    where inserted.Код_юридического_адреса IS NOT NULL AND inserted.Код_организации <> Организация.Код_организации)
  begin
    RAISERROR ('Значение поля Код_юридического_адреса в таблице Организация должно быть уникальным',16,1)
    ROLLBACK TRANSACTION
  end
